"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
const store_index = require("./store/index.js");
if (!Math) {
  "./pages/testPage/testPage.js";
  "./pages/test/test.js";
  "./pages/home/home.js";
  "./pages/store-home/main/main.js";
  "./pages/mine/main/main.js";
  "./pages/mine/mineorders/mineorders.js";
  "./pages/Shopping-cart/productmain/productmain.js";
  "./pages/booking/AppointmentHome.js";
  "./pages/booking/ContactInformation.js";
  "./pages/booking/date.js";
  "./pages/store-home/ProductDetails/ProductDetails.js";
  "./pages/order/product-paysuccess/product-paysuccess.js";
  "./pages/booking/BillingOfFees/BillingOfFees.js";
  "./pages/booking/ReservationInstructions/ReservationInstructions.js";
  "./pages/booking/respectable/respectable.js";
  "./pages/Shopping-cart/newaddress_Info/newaddress_Info.js";
  "./pages/order/product-waitpay/product-waitpay.js";
  "./pages/booking/Simple/Simple.js";
  "./pages/booking/bookingpay/bookingpay.js";
  "./pages/login/login.js";
  "./pages/Shopping-cart/component/addProduct.js";
  "./pages/mine/OrderDetails/OrderDetails.js";
  "./pages/workshop/index/index.js";
  "./pages/booking/CostumeDisplay/CostumeDisplay.js";
  "./pages/booking/CostumeDetails/CostumeDetails.js";
  "./pages/mine/Contact/Contact.js";
  "./pages/workshop/productmain/productmain.js";
  "./pages/workshop/component/timePopUp.js";
  "./pages/store-home/main/testMain.js";
  "./pages/syy.js";
  "./pages/order/singleGoodOrder/singleGoodOrder.js";
  "./pages/Shopping-cart/productmain/testproductmain.js";
  "./pages/workshop/component/testTimePopUp.js";
  "./pages/mine/addressList/addressList.js";
}
const _sfc_main = {
  __name: "App",
  setup(__props) {
    common_vendor.onLaunch(() => {
    });
    return (_ctx, _cache) => {
      return {};
    };
  }
};
const App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/微信小程序/课设整合/匠承非遗小程序端/jiangchengfeiyi-xiaochengxu/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  app.use(store_index.pinia);
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
